=== debian/changelog ===
pim-data-exporter (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)
  * New build depend on libkf5akonadinotes-dev

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:57:00 +0100
