## pim-data-exporter 20.08.1

=== debian/changelog ===
pim-data-exporter (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:03:01 +0100

pim-data-exporter (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:22:33 +0100
